For the complete documentation index, see llms.txt. This page is also available as Markdown.

Anomalies Ignorelist Rule

This contains APIs related to Anomalies Ignorelist Rule Management.

Create a new anomalies ignorelist rule

post

Create a new anomalies ignorelist rule

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

This object contains the complete definition of Anomalies Whitelist Rule

uuidstringOptional

Unique id

accountIdstringOptional

Harness account id

namestringRequired

Name

typestring · enumRequired

Cloud provider type

Possible values:
whitelistedAnomalyCountinteger · int64Optional

Number of whitelisted anomalies

enabledbooleanOptional

Enabled

createdAtinteger · int64Optional

Time at which the entity was created

lastUpdatedAtinteger · int64Optional

Time at which the entity was last updated

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/anomalies/ignoreListRule
POST /gateway/ccm/api/anomalies/ignoreListRule?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 328

{
  "uuid": "text",
  "accountId": "text",
  "name": "text",
  "type": "AWS",
  "ruleSpec": {
    "type": "AWS"
  },
  "whitelistedAnomalyCount": 1,
  "enabled": true,
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get anomalies ignorelist rule

get

Get anomalies ignorelist rule

Path parameters
idstringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/anomalies/ignoreListRule/{id}
GET /gateway/ccm/api/anomalies/ignoreListRule/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update anomalies ignorelist rule

put

Update anomalies ignorelist rule

Path parameters
idstringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

This object contains the complete definition of Anomalies Whitelist Rule

uuidstringOptional

Unique id

accountIdstringOptional

Harness account id

namestringRequired

Name

typestring · enumRequired

Cloud provider type

Possible values:
whitelistedAnomalyCountinteger · int64Optional

Number of whitelisted anomalies

enabledbooleanOptional

Enabled

createdAtinteger · int64Optional

Time at which the entity was created

lastUpdatedAtinteger · int64Optional

Time at which the entity was last updated

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/anomalies/ignoreListRule/{id}
PUT /gateway/ccm/api/anomalies/ignoreListRule/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 328

{
  "uuid": "text",
  "accountId": "text",
  "name": "text",
  "type": "AWS",
  "ruleSpec": {
    "type": "AWS"
  },
  "whitelistedAnomalyCount": 1,
  "enabled": true,
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete anomalies ignorelist rule

delete

Delete anomalies ignorelist rule

Path parameters
idstringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/anomalies/ignoreListRule/{id}
DELETE /gateway/ccm/api/anomalies/ignoreListRule/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Fetch Azure subscriptions (ID and name) for the given account

get

Get Azure subscription IDs and names

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/anomalies/ignoreListRule/filter-values/azure-subscriptions
GET /gateway/ccm/api/anomalies/ignoreListRule/filter-values/azure-subscriptions?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List anomalies ignorelist rule

post

List anomalies ignorelist rule

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

This has the query to list the RuleExecution

accountIdstringOptional

accountId

targetAccountstring[]Optional

Account Name

executionStatusstring · enumOptional

Execution Status

Possible values:
regionstring[]Optional

region

cloudProviderstring · enumOptional

cloudProvider

Possible values:
ruleIdsstring[]Optional

ruleId

ruleSetIdsstring[]Optional

rulePackId

executionIdsstring[]Optional

executionIds

ruleEnforcementIdstring[]Optional

ruleEnforcementId

ruleEnforcementRecommendationIdstring[]Optional

ruleEnforcementRecommendationId

limitinteger · int32Optional

limit

offsetinteger · int32Optional

offset

savingsnumber · doubleOptional

savings

ruleExecutionSortTypestring · enumOptional

ruleExecutionSortType

Possible values:
sortOrderstring · enumOptional

sortOrder

Possible values:
resourceCountGreaterThanZerobooleanOptional

resourceCountGreaterThanZero

costTypestring · enumOptional

costType

Possible values:
isDryRunbooleanOptional

isDryRun

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/anomalies/ignoreListRule/list
POST /gateway/ccm/api/anomalies/ignoreListRule/list?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 608

{
  "accountId": "text",
  "targetAccount": [
    "text"
  ],
  "executionStatus": "FAILED",
  "region": [
    "text"
  ],
  "cloudProvider": "AWS",
  "cloudProviders": [
    "AWS"
  ],
  "ruleIds": [
    "text"
  ],
  "ruleSetIds": [
    "text"
  ],
  "executionIds": [
    "text"
  ],
  "ruleEnforcementId": [
    "text"
  ],
  "ruleEnforcementRecommendationId": [
    "text"
  ],
  "time": [
    {
      "operator": "NOT_IN",
      "timestamp": 1
    }
  ],
  "limit": 1,
  "offset": 1,
  "savings": 1,
  "ruleExecutionSortType": "COST",
  "sortOrder": "ASCENDING",
  "resourceCountGreaterThanZero": true,
  "costType": "POTENTIAL",
  "isDryRun": true,
  "ccmTagDTOS": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "ccmCostCategoryCostBucketsDTOS": [
    {
      "costCategory": "text",
      "costBucket": [
        "text"
      ]
    }
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Toggle anomalies ignorelist rule

put

Toggle anomalies ignorelist rule

Path parameters
idstringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/anomalies/ignoreListRule/{id}/toggle
PUT /gateway/ccm/api/anomalies/ignoreListRule/{id}/toggle?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?